curl --request GET \
--url https://api.thefaithapp.com/v1/bulletins \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/bulletins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/bulletins"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"current_page": 1,
"data": [
{
"id": 9,
"title": "22 June 2025",
"type": "native",
"content": "<h3 data-start=\"184\" data-end=\"219\"><strong data-start=\"188\" data-end=\"219\">ποΈ Sunday Worship Bulletin</strong></h3>",
"pdf_url": null,
"sections": [
{
"type": "text",
"title": "π Theme of the Day:",
"content": "\"Walking by Faith\"\n2 Corinthians 5:7 β \"For we walk by faith, not by sight.\""
},
{
"type": "link",
"title": "π Order of Service",
"content": "https://www.youtube.com/watch?v=dMgr7nZ-eMA"
},
{
"type": "image",
"title": "Gallery",
"content": "https://d2c58p2vdu8kb2.cloudfront.net/bulletins/sections/dzfRCxQ0Sinp9qkViUBrUs02EOWVMNwJfyFSvTR2.png"
}
],
"published_at": "2025-06-21 15:04:09",
"formatted_date": "June 21, 2025"
},
{
"id": 8,
"title": "6 July 2025 (Copy)",
"type": "pdf",
"content": "",
"pdf_url": "https://d2c58p2vdu8kb2.cloudfront.net/bulletins/SKGWKlB3dtue59J2ZMK0cfcsN9p520El6HxgHIPN.pdf",
"sections": [],
"published_at": "2025-06-21 14:20:47",
"formatted_date": "June 21, 2025"
}
],
"first_page_url": "https://api.thefaithapp.com/bulletins?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.thefaithapp.com/bulletins?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api.thefaithapp.com/bulletins?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://api.thefaithapp.com/bulletins",
"per_page": 10,
"prev_page_url": null,
"to": 2,
"total": 2
}{
"error_message": "Unauthorized"
}{
"error": "User not found"
}Get Bulletins
Retrieve a paginated list of bulletins for the authenticated userβs church. Bulletins can be either native (HTML content) or PDF files.
curl --request GET \
--url https://api.thefaithapp.com/v1/bulletins \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/bulletins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/bulletins"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"current_page": 1,
"data": [
{
"id": 9,
"title": "22 June 2025",
"type": "native",
"content": "<h3 data-start=\"184\" data-end=\"219\"><strong data-start=\"188\" data-end=\"219\">ποΈ Sunday Worship Bulletin</strong></h3>",
"pdf_url": null,
"sections": [
{
"type": "text",
"title": "π Theme of the Day:",
"content": "\"Walking by Faith\"\n2 Corinthians 5:7 β \"For we walk by faith, not by sight.\""
},
{
"type": "link",
"title": "π Order of Service",
"content": "https://www.youtube.com/watch?v=dMgr7nZ-eMA"
},
{
"type": "image",
"title": "Gallery",
"content": "https://d2c58p2vdu8kb2.cloudfront.net/bulletins/sections/dzfRCxQ0Sinp9qkViUBrUs02EOWVMNwJfyFSvTR2.png"
}
],
"published_at": "2025-06-21 15:04:09",
"formatted_date": "June 21, 2025"
},
{
"id": 8,
"title": "6 July 2025 (Copy)",
"type": "pdf",
"content": "",
"pdf_url": "https://d2c58p2vdu8kb2.cloudfront.net/bulletins/SKGWKlB3dtue59J2ZMK0cfcsN9p520El6HxgHIPN.pdf",
"sections": [],
"published_at": "2025-06-21 14:20:47",
"formatted_date": "June 21, 2025"
}
],
"first_page_url": "https://api.thefaithapp.com/bulletins?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.thefaithapp.com/bulletins?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api.thefaithapp.com/bulletins?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://api.thefaithapp.com/bulletins",
"per_page": 10,
"prev_page_url": null,
"to": 2,
"total": 2
}{
"error_message": "Unauthorized"
}{
"error": "User not found"
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Query Parameters
Page number for pagination (default: 1).
Response
Paginated list of bulletins.
Current page number of the result set.
1
List of bulletin objects.
Show child attributes
Show child attributes
URL to the first page of results.
"https://api.thefaithapp.com/bulletins?page=1"
Index of the first item returned.
1
Last page number of the result set.
1
URL to the last page of results.
"https://api.thefaithapp.com/bulletins?page=1"
Pagination navigation links.
Show child attributes
Show child attributes
URL to the next page of results, or null if on the last page.
null
Base path for the paginated results.
"https://api.thefaithapp.com/bulletins"
Number of items per page.
10
URL to the previous page of results, or null if on the first page.
null
Index of the last item returned.
2
Total number of items available.
2
Was this page helpful?